Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002307KdenliveMLTpublic2011-09-10 09:052011-11-01 18:56
Reporterfabien26 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSUbuntuOS Version11.04
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002307: Crash when using Gain effect on an entire track
DescriptionApplication: kdenlive (0.8.1 (rev. 5901))
KDE Platform Version: 4.7.1 (4.7.1)
Qt Version: 4.7.3
Operating System: Linux 3.0.0-10-generic x86_64
Distribution: Ubuntu oneiric (development branch)

-- Information about the crash:

When I preview a project with a Gain Effect targeting an entire track, Kdenlive Crash when he feels like it (It crashes very quickly but randomly at the same time, for example it will not crash at 12:32, but sometime at 2:00, sometime at 5:21)

No problem when rendering the project.

-- Backtrace:
Application: Kdenlive (kdenlive), signal: Aborted
__lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
    in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7f37df1877a0 (LWP 30268))]

Thread 9 (Thread 0x7f37c8f33700 (LWP 30275)):
#0 0x00007f37d9d86773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1 0x00007f37d8c81078 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007f37d8c818a2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007f37d003a7b6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000004 0x00007f37d8ca6626 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007f37dce33edc in start_thread (arg=0x7f37c8f33700) at pthread_create.c:304
0000006 0x00007f37d9d9289d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000007 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f37aeebb700 (LWP 30298)):
#0 __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1 0x00007f37d9d2f9df in _L_lock_10501 () from /lib/x86_64-linux-gnu/libc.so.6
0000002 0x00007f37d9d2dd71 in __GI___libc_free (mem=0x7f37bc000020) at malloc.c:3736
0000003 0x00007f37de37c675 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000004 0x00007f37d8c80844 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007f37d8c81092 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000006 0x00007f37d8c81539 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000007 0x00007f37de37cee6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000008 0x00007f37de350d52 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000009 0x00007f37de350f57 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000010 0x00007f37de26821f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000011 0x00007f37de333d1f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000012 0x00007f37de26aca5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000013 0x00007f37dce33edc in start_thread (arg=0x7f37aeebb700) at pthread_create.c:304
0000014 0x00007f37d9d9289d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000015 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f37ae134700 (LWP 30321)):
#0 0x00007f37d9d86773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1 0x00007f37d8c81078 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007f37d8c81539 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007f37de37cf4e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000004 0x00007f37de350d52 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000005 0x00007f37de350f57 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000006 0x00007f37de26821f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000007 0x00007f37de333d1f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000008 0x00007f37de26aca5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000009 0x00007f37dce33edc in start_thread (arg=0x7f37ae134700) at pthread_create.c:304
0000010 0x00007f37d9d9289d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000011 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f37aae9b700 (LWP 30341)):
#0 __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1 0x00007f37d9d2f9df in _L_lock_10501 () from /lib/x86_64-linux-gnu/libc.so.6
0000002 0x00007f37d9d2dd71 in __GI___libc_free (mem=0x7f37bc000020) at malloc.c:3736
0000003 0x00007f37ded9db19 in mlt_property_clear (self=0x5d3b8b0) at mlt_property.c:121
0000004 mlt_property_set_string (self=0x5d3b8b0, value=0x7f37dedb0750 "continue") at mlt_property.c:199
0000005 0x00007f37deda019b in mlt_properties_set (self=0x5d366d0, name=0x7f37dedb06dd "eof", value=0x7f37dedb0750 "continue") at mlt_properties.c:661
0000006 0x00007f37deda55da in mlt_multitrack_refresh (self=0x5d4df00) at mlt_multitrack.c:140
0000007 0x00007f37deda201c in mlt_events_fire (self=<optimized out>, id=<optimized out>) at mlt_events.c:217
0000008 0x00007f37deda201c in mlt_events_fire (self=<optimized out>, id=<optimized out>) at mlt_events.c:217
0000009 0x00007f37deda1fe2 in mlt_events_fire (self=<optimized out>, id=<optimized out>) at mlt_events.c:215
0000010 0x00007f37deda0118 in mlt_properties_set_data (self=0x48afa30, name=0x7f37b1c26115 "smooth_buffer", value=0x1bc21740, length=0, destroy=0x7f37d9d2dd10 <__GI___libc_free>, serialise=<optimized out>) at mlt_properties.c:1070
0000011 0x00007f37b1c25885 in filter_process (this=0x48afa30, frame=0x1b9e8400) at filter_volume.c:431
0000012 0x00007f37dedab10f in mlt_filter_process (self=<optimized out>, frame=0x1b9e8400) at mlt_filter.c:310
0000013 0x00007f37deda3086 in mlt_service_apply_filters (self=<optimized out>, frame=0x1b9e8400, index=1) at mlt_service.c:422
0000014 0x00007f37deda320e in mlt_service_get_frame (self=0x4580f10, frame=0x7f37bc0409f8, index=0) at mlt_service.c:469
0000015 0x00007f37deda532c in producer_get_frame (parent=<optimized out>, frame=0x7f37bc0409f8, index=<optimized out>) at mlt_multitrack.c:459
0000016 0x00007f37deda4d59 in producer_get_frame (service=0x5d4df00, frame=0x7f37bc0409f8, index=3) at mlt_producer.c:584
0000017 0x00007f37deda319f in mlt_service_get_frame (self=0x5d4df00, frame=0x7f37bc0409f8, index=3) at mlt_service.c:457
0000018 0x00007f37dedabcb1 in transition_get_frame (service=0x5d579d0, frame=0x7f37bc0409f8, index=<optimized out>) at mlt_transition.c:504
0000019 0x00007f37deda319f in mlt_service_get_frame (self=0x5d579d0, frame=0x7f37bc0409f8, index=3) at mlt_service.c:457
0000020 0x00007f37dedabcb1 in transition_get_frame (service=0x5d54e30, frame=0x7f37bc0409f8, index=<optimized out>) at mlt_transition.c:504
0000021 0x00007f37deda319f in mlt_service_get_frame (self=0x5d54e30, frame=0x7f37bc0409f8, index=3) at mlt_service.c:457
0000022 0x00007f37dedabcb1 in transition_get_frame (service=0x5d53f40, frame=0x7f37bc0409f8, index=<optimized out>) at mlt_transition.c:504
0000023 0x00007f37deda319f in mlt_service_get_frame (self=0x5d53f40, frame=0x7f37bc0409f8, index=3) at mlt_service.c:457
0000024 0x00007f37dedabcb1 in transition_get_frame (service=0x5d57190, frame=0x7f37bc0409f8, index=<optimized out>) at mlt_transition.c:504
0000025 0x00007f37deda319f in mlt_service_get_frame (self=0x5d57190, frame=0x7f37bc0409f8, index=3) at mlt_service.c:457
0000026 0x00007f37dedaba81 in transition_get_frame (service=0x5d553d0, frame=0x7f37bc014d58, index=1) at mlt_transition.c:431
0000027 0x00007f37deda319f in mlt_service_get_frame (self=0x5d553d0, frame=0x7f37bc014d58, index=1) at mlt_service.c:457
0000028 0x00007f37dedaba81 in transition_get_frame (service=0x5d56b00, frame=0x7f37bc08fe88, index=1) at mlt_transition.c:431
0000029 0x00007f37deda319f in mlt_service_get_frame (self=0x5d56b00, frame=0x7f37bc08fe88, index=1) at mlt_service.c:457
0000030 0x00007f37dedaba81 in transition_get_frame (service=0x5d5a720, frame=0x7f37bc017bc8, index=1) at mlt_transition.c:431
0000031 0x00007f37deda319f in mlt_service_get_frame (self=0x5d5a720, frame=0x7f37bc017bc8, index=1) at mlt_service.c:457
0000032 0x00007f37dedaba81 in transition_get_frame (service=0x5d5d460, frame=0x7f37bc08ef68, index=1) at mlt_transition.c:431
0000033 0x00007f37deda319f in mlt_service_get_frame (self=0x5d5d460, frame=0x7f37bc08ef68, index=1) at mlt_service.c:457
0000034 0x00007f37dedaba81 in transition_get_frame (service=0x5d601e0, frame=0x7f37bc014f28, index=1) at mlt_transition.c:431
0000035 0x00007f37deda319f in mlt_service_get_frame (self=0x5d601e0, frame=0x7f37bc014f28, index=1) at mlt_service.c:457
0000036 0x00007f37dedaba81 in transition_get_frame (service=0x5d61f10, frame=0x7f37bc03f2d8, index=1) at mlt_transition.c:431
0000037 0x00007f37deda319f in mlt_service_get_frame (self=0x5d61f10, frame=0x7f37bc03f2d8, index=1) at mlt_service.c:457
0000038 0x00007f37dedaba81 in transition_get_frame (service=0x5d64780, frame=0x7f37bc03de48, index=1) at mlt_transition.c:431
0000039 0x00007f37deda319f in mlt_service_get_frame (self=0x5d64780, frame=0x7f37bc03de48, index=1) at mlt_service.c:457
0000040 0x00007f37dedaba81 in transition_get_frame (service=0x5d66c90, frame=0x7f37aae9abd8, index=0) at mlt_transition.c:431
0000041 0x00007f37deda319f in mlt_service_get_frame (self=0x5d66c90, frame=0x7f37aae9abd8, index=0) at mlt_service.c:457
0000042 0x00007f37dedac189 in producer_get_frame (parent=0x5d4b2c0, frame=0x7f37aae9adc8, track=<optimized out>) at mlt_tractor.c:395
0000043 0x00007f37deda4d59 in producer_get_frame (service=0x5d4b2c0, frame=0x7f37aae9adc8, index=0) at mlt_producer.c:584
0000044 0x00007f37deda319f in mlt_service_get_frame (self=0x5d4b2c0, frame=0x7f37aae9adc8, index=0) at mlt_service.c:457
0000045 0x00007f37deda319f in mlt_service_get_frame (self=0x2f616a0, frame=0x7f37aae9adc8, index=0) at mlt_service.c:457
0000046 0x00007f37deda9462 in mlt_consumer_get_frame (self=0x2f616a0) at mlt_consumer.c:547
0000047 0x00007f37b1a1f3e2 in consumer_thread (arg=0x2f616a0) at consumer_sdl_preview.c:301
0000048 0x00007f37dce33edc in start_thread (arg=0x7f37aae9b700) at pthread_create.c:304
0000049 0x00007f37d9d9289d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000050 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f37a9714700 (LWP 30343)):
#0 0x00007f37dce3b8bd in nanosleep () at ../sysdeps/unix/syscall-template.S:82
#1 0x00007f37b1a1d82f in consumer_thread (arg=<optimized out>) at consumer_sdl.c:828
0000002 0x00007f37dce33edc in start_thread (arg=0x7f37a9714700) at pthread_create.c:304
0000003 0x00007f37d9d9289d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000004 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f37c9734700 (LWP 30344)):
[KCrash Handler]
0000006 0x00007f37d9ce73a5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
0000007 0x00007f37d9ceab0b in __GI_abort () at abort.c:92
0000008 0x00007f37d9d1f113 in __libc_message (do_abort=2, fmt=0x7f37d9e100d8 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
0000009 0x00007f37d9d29a96 in malloc_printerr (action=3, str=0x7f37d9e10210 "double free or corruption (fasttop)", ptr=<optimized out>) at malloc.c:6283
0000010 0x00007f37d9d2dd7c in __GI___libc_free (mem=<optimized out>) at malloc.c:3738
0000011 0x00007f37ded9db19 in mlt_property_clear (self=0x5190a90) at mlt_property.c:121
0000012 mlt_property_set_string (self=0x5190a90, value=0x7f37dedb0750 "continue") at mlt_property.c:199
0000013 0x00007f37deda019b in mlt_properties_set (self=0x5a8eec0, name=0x7f37dedb06dd "eof", value=0x7f37dedb0750 "continue") at mlt_properties.c:661
0000014 0x00007f37deda55da in mlt_multitrack_refresh (self=0x5d4df00) at mlt_multitrack.c:140
0000015 0x00007f37dedacedf in mlt_tractor_refresh (self=0x5d4b2c0) at mlt_tractor.c:201
0000016 0x00007f37deda201c in mlt_events_fire (self=<optimized out>, id=<optimized out>) at mlt_events.c:217
0000017 0x00007f37deda1fe2 in mlt_events_fire (self=<optimized out>, id=<optimized out>) at mlt_events.c:215
0000018 0x00007f37deda1745 in mlt_properties_set_position (self=0x5d4df00, name=0x7f37dedb0827 "out", value=<optimized out>) at mlt_properties.c:1026
0000019 0x00007f37deda201c in mlt_events_fire (self=<optimized out>, id=<optimized out>) at mlt_events.c:217
0000020 0x00007f37deda201c in mlt_events_fire (self=<optimized out>, id=<optimized out>) at mlt_events.c:217
0000021 0x00007f37deda1fe2 in mlt_events_fire (self=<optimized out>, id=<optimized out>) at mlt_events.c:215
0000022 0x00007f37deda17f9 in mlt_properties_set_double (self=0x48afa30, name=0x7f37b1c26140 "_previous_gain", value=<optimized out>) at mlt_properties.c:984
0000023 0x00007f37b1c25c17 in filter_get_audio (frame=0x1b9bd3d0, buffer=0x7f37c97339f0, format=<optimized out>, frequency=0x7f37c9733a0c, channels=0x7f37c9733a04, samples=0x7f37c97339fc) at filter_volume.c:250
0000024 0x00007f37ded9b54d in mlt_frame_get_audio (self=0x1b9bd3d0, buffer=0x7f37c97339f0, format=0x7f37c9733e00, frequency=0x7f37c9733a0c, channels=0x7f37c9733a04, samples=0x7f37c97339fc) at mlt_frame.c:668
0000025 0x00007f37bb98f176 in combine_audio (samples=0x7f37c9733b18, channels=0x7f37c9733b20, frequency=0x7f37c9733b28, format=0x7f37c9733e00, buffer=0x7f37c9733b08, that=0x1b9bd3d0, this=0x1ba5f7e0) at transition_mix.c:114
0000026 transition_get_audio (frame=0x1ba5f7e0, buffer=0x7f37c9733b08, format=0x7f37c9733e00, frequency=0x7f37c9733b28, channels=0x7f37c9733b20, samples=0x7f37c9733b18) at transition_mix.c:197
0000027 0x00007f37ded9b54d in mlt_frame_get_audio (self=0x1ba5f7e0, buffer=0x7f37c9733b08, format=0x7f37c9733e00, frequency=0x7f37c9733b28, channels=0x7f37c9733b20, samples=0x7f37c9733b18) at mlt_frame.c:668
0000028 0x00007f37bb98f19b in combine_audio (samples=0x7f37c9733c38, channels=0x7f37c9733c40, frequency=0x7f37c9733c48, format=0x7f37c9733e00, buffer=0x7f37c9733c28, that=0x1ba49290, this=0x1ba5f7e0) at transition_mix.c:115
0000029 transition_get_audio (frame=0x1ba5f7e0, buffer=0x7f37c9733c28, format=0x7f37c9733e00, frequency=0x7f37c9733c48, channels=0x7f37c9733c40, samples=0x7f37c9733c38) at transition_mix.c:197
0000030 0x00007f37ded9b54d in mlt_frame_get_audio (self=0x1ba5f7e0, buffer=0x7f37c9733c28, format=0x7f37c9733e00, frequency=0x7f37c9733c48, channels=0x7f37c9733c40, samples=0x7f37c9733c38) at mlt_frame.c:668
0000031 0x00007f37bb98f19b in combine_audio (samples=0x7f37c9733e0c, channels=0x7f37c9733e04, frequency=0x7f37c9733e08, format=0x7f37c9733e00, buffer=0x7f37c9733de8, that=0x1aab8d70, this=0x1ba5f7e0) at transition_mix.c:115
0000032 transition_get_audio (frame=0x1ba5f7e0, buffer=0x7f37c9733de8, format=0x7f37c9733e00, frequency=0x7f37c9733e08, channels=0x7f37c9733e04, samples=0x7f37c9733e0c) at transition_mix.c:197
0000033 0x00007f37ded9b54d in mlt_frame_get_audio (self=0x1ba5f7e0, buffer=0x7f37c9733de8, format=0x7f37c9733e00, frequency=0x7f37c9733e08, channels=0x7f37c9733e04, samples=0x7f37c9733e0c) at mlt_frame.c:668
0000034 0x00007f37dedacb70 in producer_get_audio (self=0x1baa2240, buffer=0x7f37c9733de8, format=0x7f37c9733e00, frequency=0x7f37c9733e08, channels=0x7f37c9733e04, samples=0x7f37c9733e0c) at mlt_tractor.c:299
0000035 0x00007f37ded9b54d in mlt_frame_get_audio (self=0x1baa2240, buffer=0x7f37c9733de8, format=0x7f37c9733e00, frequency=0x7f37c9733e08, channels=0x7f37c9733e04, samples=0x7f37c9733e0c) at mlt_frame.c:668
0000036 0x00007f37deda9b28 in consumer_read_ahead_thread (arg=0x3dc2fc0) at mlt_consumer.c:753
0000037 0x00007f37dce33edc in start_thread (arg=0x7f37c9734700) at pthread_create.c:304
0000038 0x00007f37d9d9289d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000039 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f37a4f12700 (LWP 30345)):
#0 0x00007f37d9d86998 in ppoll (fds=0x1b927030, nfds=2, timeout=0x0, sigmask=0x0) at ../sysdeps/unix/sysv/linux/ppoll.c:58
#1 0x00007f37d3fb4317 in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
0000002 0x00007f37d3fb48e9 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
0000003 0x00007f37b2f7e349 in ?? () from /usr/lib/libSDL-1.2.so.0
0000004 0x00007f37b2f504a3 in ?? () from /usr/lib/libSDL-1.2.so.0
0000005 0x00007f37b2f58705 in ?? () from /usr/lib/libSDL-1.2.so.0
0000006 0x00007f37b2f9c3e9 in ?? () from /usr/lib/libSDL-1.2.so.0
0000007 0x00007f37dce33edc in start_thread (arg=0x7f37a4f12700) at pthread_create.c:304
0000008 0x00007f37d9d9289d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000009 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f37a4711700 (LWP 30346)):
#0 __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1 0x00007f37d9d2f9df in _L_lock_10501 () from /lib/x86_64-linux-gnu/libc.so.6
0000002 0x00007f37d9d2dd71 in __GI___libc_free (mem=0x7f37bc000020) at malloc.c:3736
0000003 0x00007f37ded9e9a0 in mlt_properties_close (self=0x1b9a6e40) at mlt_properties.c:1317
0000004 mlt_properties_close (self=0x1b9a6e40) at mlt_properties.c:1288
0000005 0x00007f37ded9aa0c in mlt_frame_close (self=0x1b9a6e40) at mlt_frame.c:875
0000006 mlt_frame_close (self=0x1b9a6e40) at mlt_frame.c:866
0000007 0x00007f37b1a1cc7e in video_thread (arg=0x3dc2fc0) at consumer_sdl.c:760
0000008 0x00007f37dce33edc in start_thread (arg=0x7f37a4711700) at pthread_create.c:304
0000009 0x00007f37d9d9289d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000010 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f37df1877a0 (LWP 30268)):
#0 __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1 0x00007f37d9d2f9df in _L_lock_10501 () from /lib/x86_64-linux-gnu/libc.so.6
0000002 0x00007f37d9d2dd71 in __GI___libc_free (mem=0x7f37bc000020) at malloc.c:3736
0000003 0x00007f37de29442b in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000004 0x00007f37d9cec821 in __run_exit_handlers (status=1, listp=0x7f37da0495a8, run_list_atexit=true) at exit.c:78
0000005 0x00007f37d9cec8a5 in __GI_exit (status=<optimized out>) at exit.c:100
0000006 0x00007f37cf4ca9f4 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
0000007 0x00007f37dddb24f8 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
0000008 0x00007f37dc6940ce in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000009 0x00007f37dc6918ad in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000010 0x00007f37dc68214f in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000011 0x00007f37daad4637 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000012 0x00007f37d8c80102 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000013 0x00007f37d8c80f0d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000014 0x00007f37d8c81539 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000015 0x00007f37de37cee6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000016 0x00007f37daad47ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000017 0x00007f37de350d52 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000018 0x00007f37de350f57 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000019 0x00007f37de3557e9 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000020 0x000000000044e0cb in main (argc=5, argv=0x7fff2763df98) at /home/fabien/kdenlive/kdenlive/src/main.cpp:89
Steps To Reproduce- Drop some audio files on the some track one after another.
- Optionally, you can leave some holes between files (don't know if it's required)
- Optionally, create a very big project with some video, multiple audio tracks (Don't know if it's required at this point too. I can reproduce this bug every-time, but with a simple project it seem to be too random to wait for the bug, or an other something is needed to trigger this bug)
- Drop an audio effect (like Gain) on the title of a track to make it "for the entire track"
- try to preview your work, and kdenlive becomes very crashy !
Additional InformationI will try to make a kdenlive project to trigger the bug the quickest way possible if needed.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0007304)
j-b-m (administrator)
2011-09-10 14:06

I confirm the bug. It is a problem in MLT that is triggered when using the volume effect on a track with an audio clip AND the sdl_preview consumer... it does not seem to happen with the SDL consumer.

I can reproduce using the following command line:

melt colour:red -track -attach volume gain=0.2 1.wav -consumer sdl_preview

It usually crashes randomly after about 20 seconds. Below is the backtrace I got, not sure where is the problem... Dan?



Thread 3 (Thread 0xb2527b70 (LWP 11733)):
#0 0xb7fdf424 in __kernel_vsyscall ()
#1 0xb7e26c8f in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
0000002 0xb7e2a2b5 in __GI_abort () at abort.c:92
0000003 0xb7e5cdfc in __libc_message (do_abort=2, fmt=0xb7f36080 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
0000004 0xb7e67bc2 in malloc_printerr (action=<optimized out>, str=<optimized out>, ptr=0xb13d7c30) at malloc.c:6283
0000005 0xb7e68862 in _int_free (av=0xb1300010, p=0xb13d7c28) at malloc.c:4795
0000006 0xb7e6b94d in __GI___libc_free (mem=0xb13d7c30) at malloc.c:3738
0000007 0xb7f9bf3b in mlt_property_clear (self=0x8158000) at mlt_property.c:121
0000008 mlt_property_set_string (self=0x8158000, value=0xb7fb1a25 "continue") at mlt_property.c:199
---Type <return> to continue, or q <return> to quit---
0000009 0xb7f9ea2c in mlt_properties_set (self=0x8158378, name=0xb7fb19b2 "eof", value=0xb7fb1a25 "continue") at mlt_properties.c:661
0000010 0xb7fa4d2d in mlt_multitrack_refresh (self=0x81589a0) at mlt_multitrack.c:140
0000011 0xb7fa4dcb in mlt_multitrack_listener (producer=0x8199330, self=0x81589a0) at mlt_multitrack.c:164
0000012 0xb7fa0d5d in mlt_events_fire (self=0x81993b8, id=0xb7fb19c1 "producer-changed") at mlt_events.c:217
0000013 0xb7fa35f5 in mlt_producer_service_changed (owner=0x8199330, self=0x81993b8) at mlt_producer.c:140
0000014 0xb7fa0d5d in mlt_events_fire (self=0x81993b8, id=0xb7fb1884 "service-changed") at mlt_events.c:217
0000015 0xb7fa19fd in mlt_service_filter_changed (owner=0x821e770, self=0x81993b8) at mlt_service.c:521
0000016 0xb7fa19c6 in mlt_service_property_changed (listener=0xb7fa19d0 <mlt_service_filter_changed>, owner=0x821e770, self=0x81993b8, args=0xb2526c74) at mlt_service.c:125
0000017 0xb7fa0d28 in mlt_events_fire (self=0x821e3a8, id=0xb7fb178b "property-changed") at mlt_events.c:215
0000018 0xb7f9e989 in mlt_properties_set_data (self=0x821e3a8, name=0xb39d5dfd "smooth_buffer", value=0xad0d90d0, length=0, destroy=0xb7e6b8e0 <__GI___libc_free>, serialise=0)
    at mlt_properties.c:1070
0000019 0xb39d53e6 in filter_process (this=0x821e3a8, frame=0xad0da0d8) at filter_volume.c:431
0000020 0xb7fab43f in mlt_filter_process (self=0x821e3a8, frame=0xad0da0d8) at mlt_filter.c:310
0000021 0xb7fa1fde in mlt_service_apply_filters (self=0x81993b8, frame=0xad0da0d8, index=1) at mlt_service.c:422
0000022 0xb7fa2160 in mlt_service_get_frame (self=0x81993b8, frame=0xb2527108, index=0) at mlt_service.c:469
0000023 0xb7fa4a02 in producer_get_frame (parent=0x81589a0, frame=0xb2527108, index=1) at mlt_multitrack.c:459
0000024 0xb7fa42a6 in producer_get_frame (service=0x81589a0, frame=0xb2527108, index=1) at mlt_producer.c:584
0000025 0xb7fa2100 in mlt_service_get_frame (self=0x81589a0, frame=0xb2527108, index=1) at mlt_service.c:457
0000026 0xb7fac791 in producer_get_frame (parent=0x819ab30, frame=0xb252730c, track=0) at mlt_tractor.c:395
0000027 0xb7fa42a6 in producer_get_frame (service=0x819ab30, frame=0xb252730c, index=0) at mlt_producer.c:584
0000028 0xb7fa2100 in mlt_service_get_frame (self=0x819ab30, frame=0xb252730c, index=0) at mlt_service.c:457
0000029 0xb7fa2354 in service_get_frame (self=0x8055920, frame=0xb252730c, index=0) at mlt_service.c:372
0000030 0xb7fa2100 in mlt_service_get_frame (self=0x8055920, frame=0xb252730c, index=0) at mlt_service.c:457
0000031 0xb7fa91a6 in mlt_consumer_get_frame (self=0x8055920) at mlt_consumer.c:547
0000032 0xb3c08061 in consumer_thread (arg=0x8055920) at consumer_sdl_preview.c:301
0000033 0xb7f7cd31 in start_thread (arg=0xb2527b70) at pthread_create.c:304
0000034 0xb7ecb0ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb7df36c0 (LWP 11729)):
#0 0xb7fdf424 in __kernel_vsyscall ()
#1 0xb7ec3ed1 in select () at ../sysdeps/unix/syscall-template.S:82
0000002 0x0804bb99 in term_read () at io.c:162
0000003 0x0804a48c in transport (consumer=0x8055920, producer=0x819ab30) at melt.c:338
0000004 main (argc=9, argv=0xbffff274) at melt.c:851
(0007310)
ddennedy (developer)
2011-09-11 00:14

fixed in mlt git commit 4c5f6c

- Issue History
Date Modified Username Field Change
2011-09-10 09:05 fabien26 New Issue
2011-09-10 14:06 j-b-m Note Added: 0007304
2011-09-10 14:06 j-b-m Assigned To => j-b-m
2011-09-10 14:06 j-b-m Status new => acknowledged
2011-09-10 14:06 j-b-m Category Effects => MLT
2011-09-10 16:58 j-b-m Severity minor => crash
2011-09-11 00:14 ddennedy Note Added: 0007310
2011-09-11 00:14 ddennedy Status acknowledged => resolved
2011-09-11 00:14 ddennedy Fixed in Version => Recent git
2011-09-11 00:14 ddennedy Resolution open => fixed
2011-10-31 15:23 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker